:root {
    --error-color-background: #ffcdcd;
    --error-color-text: #ff0000;
    --guess-green-color: #57ac57;
    --guess-yellow-color: #ddc53c;
    --transition-time: 0.1s;
}

html, body {
    margin: 0;
    padding: 0;
    height: 100%;
    font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
}

body {
    display: flex;
    flex-direction: column;
}

header {
    background-color: #303040;
    width: 100%;
    height: 80px;
    color: #fff;
    display: flex;
    justify-content: center;
    justify-items: center;
    position: absolute;
    top: 0;
}

header h1 {
    margin: auto;
}

#center {
    text-align: center;
    margin: auto;
    display: flex;
    place-items: center;
    flex-direction: column;
    position: relative;
    top: 80px;
}

#game-finished-background {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #30304080;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    z-index: 10;
}


.letter-input-row {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

.letter-input-box {
    width: 60px;
    height: 60px;
    border: 2px solid grey;
    margin: 3px;
    display: grid;
    place-items: center;
    font-size: 2.5em;
    font-weight: bold;
    text-transform: capitalize;
    transition: all var(--transition-time) ease-in-out;
}

.hide {
    visibility: hidden;
    opacity: 0;
}

/* :not(.hide) {
    opacity: 1;
} */

/* #keyboard {
    /* display: flex;
    flex-wrap: wrap;
    justify-content: center;
    /* width: 500px; *\/
    flex-direction: row;
    margin-top: 50px; *\/
} */

.keyboard-key {
    min-width: 40px;
    padding: 0 8px 0 8px;
    box-sizing: border-box;
    height: 40px;
    margin: 3px;
    display: flex;
    place-items: center;
    place-content: center;
    font-size: 1em;
    text-transform: capitalize;
    border-radius: 4px;
    background-color: #d0d0d0;
    user-select: none;
    cursor: pointer;
    transition: all var(--transition-time) ease-in-out;
    /* flex: 1; */
}

#keyboard-row-1, #keyboard-row-2, #keyboard-row-3, #keyboard-row-4 {
    display: flex;
    width: 100%;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

#error-box {
    background-color: var(--error-color-background);
    color: var(--error-color-text);
    font-size: 1.5em;
    padding: 5px 10px 5px 10px;
    border-radius: 6px;
    margin-bottom: 10px;
    transition: all var(--transition-time) ease-in-out;
}

#priority-settings {
    border: 1px solid #aaa;
    border-radius: 15px;
    padding: 20px;
    margin-top: 10px;
    margin-bottom: 10px;
}

/* Guess colours */
.guess-blank {
    background-color: grey;
    color: white;
}

.guess-yellow {
    background-color: var(--guess-yellow-color);
    color: white;
    border-color: var(--guess-yellow-color);
}

.guess-green {
    background-color: var(--guess-green-color);
    color: white;
    border-color: var(--guess-green-color);
}

.guess-error {
    background-color: var(--error-color-background);
    color: var(--error-color-text);
}

/* Cards */

.card {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    min-width: 150px;
    background-color: white;
    border-radius: 15px;
    box-shadow: 0px 0px 10px #303040;
    transition: all var(--transition-time) ease-in-out;
    padding: 20px;
}

.card button {
    width: 100%;
    height: 40px;
    border: none;
    border-radius: 100px;
    background-color: #303040;
    color: #fff;
    font-size: 1em;
    font-weight: bold;
    transition: all var(--transition-time) ease-in-out;
    cursor: pointer;
    box-shadow: 0px 5px 2px #808080;
}

.card button:hover {
    background-color: #404055;
}

.card button:active {
    background-color: #404055;
    transform: translateY(1px);
    box-shadow: 0px 1px 2px #808080;
}
